5 Replies Latest reply on May 9, 2018 5:43 PM by Nilesh Patel

    Combine object not appearing (VBA macro)

    Matthias Buehler

      Hi,

       

      Via script, I select a bunch of solids. After this part comes the following code:

       

      Dim swFeatureMgr As SldWorks.FeatureManager

      Dim swFeature As SldWorks.feature

      Dim swModel As SldWorks.ModelDoc2

       

      Set swModel = swApp.ActiveDoc

      Set swFeatureMgr = swModel.FeatureManager

      Set swFeature = swFeatureMgr.InsertCombineFeature(swBodyOperationType_e.SWBODYADD, Nothing, Nothing)

       

       

      This runs through, but the actual 'Combine' object does not appear in the object list.

       

      What could be wrong?

       

      Any input welcome.

       

      Thanks,

      matt